import request from '@/utils/request'

// 查询客户电子会员卡充值记录列表
export function listRecharge(query) {
  return request({
    url: '/customer/recharge/list',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡充值记录详细
export function getRecharge(id) {
  return request({
    url: '/customer/recharge/' + id,
    method: 'get'
  })
}

// 新增客户电子会员卡充值记录
export function addRecharge(data) {
  return request({
    url: '/customer/recharge',
    method: 'post',
    data: data
  })
}

// 修改客户电子会员卡充值记录
export function updateRecharge(data) {
  return request({
    url: '/customer/recharge',
    method: 'put',
    data: data
  })
}

// 删除客户电子会员卡充值记录
export function delRecharge(id) {
  return request({
    url: '/customer/recharge/' + id,
    method: 'delete'
  })
}

// 导出客户电子会员卡充值记录
export function exportRecharge(query) {
  return request({
    url: '/customer/recharge/export',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡充值记录列表
export function czAmtQuery(query) {
  return request({
    url: '/customer/recharge/czAmtQuery',
    method: 'get',
    params: query
  })
}

export function listQydataCZ(query) {
  return request({
    url: '/customer/recharge/listQydataCZ',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡（储蓄卡）列表
export function selectCardDetail(query) {
  return request({
    url: '/customer/recharge/selectCardDetail',
    method: 'get',
    params: query
  })
}